## class: `WySkeleton`, `wy-skeleton`

Masked text content placeholder.

### Fields

| Name   | Type     | Default | Description       | Inherited From |
| ------ | -------- | ------- | ----------------- | -------------- |
| `text` | `string` | `""`    | The text to mask. |                |

### Attributes

| Name   | Field | Inherited From |
| ------ | ----- | -------------- |
| `text` | text  |                |

### CSS Parts

| Name                  | Description                            |
| --------------------- | -------------------------------------- |
| `wy-skeleton`         | Wrapper for the whole skeleton text.   |
| `wy-placeholder-line` | Each line in the text.                 |
| `wy-placeholder`      | Placeholder for each word in the text. |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name          | Declaration | Module                           | Package |
| --------------------------- | ------------- | ----------- | -------------------------------- | ------- |
| `js`                        | `WySkeleton`  | WySkeleton  | lib/components/ui/wy-skeleton.ts |         |
| `custom-element-definition` | `wy-skeleton` | WySkeleton  | lib/components/ui/wy-skeleton.ts |         |
